[greenstone-users] help with gsdl 2.81 and imagemagick

From Katherine Don
DateMon May 18 15:20:58 2009
Subject [greenstone-users] help with gsdl 2.81 and imagemagick
In-Reply-To (4A088197-7020901-martinique-univ-ag-fr)
Hi Laurent

There is a bug in the code that tests for image magick being installed.

Please edit perllib/plugins/ImageConverter and look for the line

if ($? == -1 || $? == 256) { # Linux and Windows return different
values for "program not found"

and change it to

if ($? == -1) {

Recently Imagemagick has changed its return value for the -version
command to 256, which is the same as program not found under windows.
Under linux, you just need to test for -1.

Hopefully this will fix your problem.

We have fixed this for the next release.

Regards,
Katherine


Laurent Birba wrote:
> Hi,
> I have installed gsdl 2.81 and imagemagick 6.3.7 on a linux server.
> Both seems to work fine ( I managed to run greenstone, build
> collection and see them, and the installation of imagemagick went
> without trouble), but when I want to create an image collection, I got
> the message
> import.pl>ImageConverter: Image conversion not available ( Image
> Magick not installed)
> Or when I type [me@server]# identify -version, I got the message :
> Version: ImageMagick 6.3.7 05/11/09 Q16 http://www.imagemagick.org
> Copyright: Copyright (C) 1999-2008 ImageMagick Studio LLC
> And the path is update with the good directories for imagemagick.
> Anyone have an idea of what happen here and why does greenstone can't
> find my imagemagick installation ?
>
>
> _______________________________________________
> greenstone-users mailing list
> greenstone-users@list.scms.waikato.ac.nz
> https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users
>